<nav class="navbar">
   <h1>
      <a [routerLink]="['/']">Angular Routing</a>
   </h1>
   <ul>
      <li routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
         <a [routerLink]="['/']">Home</a>
      </li>
      <li routerLinkActive="active"><a routerLink="/posts">Posts</a></li>
      <li routerLinkActive="active"><a [routerLink]="['/about']">About</a></li>
      <li><button class="btn" (click)="auth.login()">Login</button></li>
      <li><button class="btn" (click)="auth.logout()">Logout</button></li>
   </ul>
</nav>

<div class="container">
   <div class="card">
      <router-outlet></router-outlet>
   </div>
</div>